#
# spec file for package omping
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           omping
Version:        0.0.5
Release:        2.12
Summary:        Utility to test IP multicast functionality
License:        ISC
Group:          Productivity/Networking/Diagnostic
URL:            https://github.com/jfriesse/omping
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Omping (Open Multicast Ping) is tool to test IP multicast functionality
primarily in local network.

%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
make DESTDIR="%{buildroot}" PREFIX="%{_prefix}" install

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_mandir}/man8/*

%changelog
* Thu May 27 2021 varkoly@suse.com
- Update to version 0.0.5:
  * spec: Tidy specfile a bit
  * spec: Use license and set_build_flags macros
  * Makefile: Use install -p to preserve timestamps
  * Makefile: Add -O to CFLAGS
  * Remove fedorahosted references
  * Add banner
  * Add README file
  * Move is_dup_packet to rhfunc
  * Move msg mcast prefix check to msg
  * Pass omping_instance to cli_parse
* Thu Apr 27 2017 bliu@suse.com
  Initial package for SUSE
- add imping support for HA(fate#323350)
  added: omping.spec
    omping-0.0.5.tar.gz
